首页 > 属性 Properties >  文本(Text)  >  overflow-wrap

版本 : CSS3 overflow-wrap

语法:

overflow-wrap :normal | break-word

默认值 normal

适用于 :所有元素

继承性 :有

动画性 :否

计算值 :指定值

相关属性 :<' word-wrap '> || <' word-break '>

取值:

normal:
允许内容顶开或溢出指定的容器边界。
break-word:
内容将在边界内换行。如果需要,单词内部允许断行。

说明:

设置或检索当内容超过指定容器的边界时是否断行。
  • CSS3中将 <' word-wrap '> 改名为 <' overflow-wrap '>;
  • 由于历史原因,当你使用 <' overflow-wrap '> 时,最好同时使用 <' word-wrap '> 作为备选,作向前兼容。
  • 对应的脚本特性为 overflowWrap

兼容性:

  • 浅绿 = 支持
  • 红色 = 不支持
  • 粉色 = 部分支持
Values IE Firefox Chrome Safari Opera iOS Safari Android Browser Android Chrome
Basic Support 6.0-11.0 2.0-40.0 4.0-22.0 6.0 15.0+ 6.0-6.1 2.1-4.3 18.0-21.0
23.0+ 6.1+ 7.0+ 4.4.0+ 22.0+